package Common.Database.Objects.PassStats;
import Common.Database.Tables.DBTable;
public class PassStatsDBTable extends DBTable<String, PassStats> {
    public PassStatsDBTable() {
        super(String.class, PassStats.class);
    }
    public void IncPassStat(String passName) throws Exception {
        PassStats passStats = null;
        if (Data.containsKey(passName)) {
            passStats = Data.get(passName);
            passStats.Inc();
            getDb().Update(passStats);
        } else {
            passStats = new PassStats(passName);
            passStats.Inc();
            getDb().Insert(passStats);
        }
    }
}
